Changeset 3108


Ignore:
Timestamp:
Nov 9, 2013, 11:06:30 AM (8 years ago)
Author:
Peter
Message:

Fix spurious test failure in yat_m4_with_bam_test.sh. Previously the
test did not provide info to linker about local libyat, so test would
fail unless there was an installed libyat (with bam).

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/test/yat_m4_with_bam_test.sh

    r3053 r3108  
    2828YAT_CHECK_HEADER([], [AC_MSG_ERROR])
    2929LDFLAGS="\$LDFLAGS \`\$yat_config --ldflags\`"
    30 LIBS="\$LIBS \`\$yat_config --libs\`"
     30LIBS="\$LIBS \`\$yat_config --link-libtool\`"
    3131AC_MSG_NOTICE(["LDFLAGS: \$LDFLAGS"])
    3232AC_MSG_NOTICE(["LIBS: \$LIBS"])
     
    3939bootstrap
    4040grep '^YAT_CHECK_LIB_WITH_BAM' configure && exit_fail
    41 ./configure --with-yat=$abs_top_builddir/build_support/yat-config || exit_fail
     41if ./configure --with-yat=$abs_top_builddir/build_support/yat-config; then :;
     42else
     43warn_ configure failed unexpectedly
     44tail -n 1000 config.log
     45exit_fail
     46fi
    4247
    4348exit_success
Note: See TracChangeset for help on using the changeset viewer.